import { IsString, IsDefined, IsOptional, IsArray, IsBoolean } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class AdministratorLat extends BasicNREntity {
  @IsString()
  @IsDefined()
  identification: string;

  @IsString()
  @IsDefined()
  voucher: string;

  @IsString()
  @IsOptional()
  password?: string;

  @IsOptional()
  permissionIds?: string[];
}
